// This is a scripted coppercube action.
// It disables the menu of the browser which appears when doing a right-click for WebGL
//
// The following embedded xml is for the editor and describes how the action can be edited:
// Supported types are: int, float, string, bool, color, vect3d, scenenode, texture, action
/*
	<action jsname="action_DisableBrowserMenu" description="Disable Browser Context Menu">
	</action>
*/

action_DisableBrowserMenu = function()
{
};

// called when the action is executed 
action_DisableBrowserMenu.prototype.execute = function(currentNode)
{
	document.oncontextmenu = function(evt) 
	{
		if (!evt) evt = event;
		if (evt.preventDefault != undefined) evt.preventDefault();
		if (evt.stopPropagation != undefined) evt.stopPropagation();
		return false; 
	};
}

